# =============================================================================
# addGitSSHKey.sh
# 
# Easily setup your GIT SSH key.
# 
# Copyright (c) 2025 VELENDEU, eetnaviation
# 
# https://velend.eu/
# https://git.velend.eu/eetnaviation/shscripts
# 
# All rights reserved unless otherwise stated.
# 
# Permission is hereby denied to copy, modify, distribute, sublicense,
# or sell copies of this software without explicit prior written consent.
# 
# All dependency trademarks and names if included are subject to copyright
# of their respective owners.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
# =============================================================================

#!/bin/bash

GIT_SSH_KEY="" # Put your git ssh key file path here, for example /home/user/git-ssh-key

eval $(ssh-agent -s)
ssh-add $GIT_SSH_KEY