# shscripts
A useful collection of my bash/sh scripts.

## Script collection breakdown
Here is a breakdown of the collection.
### Backup scripts
Scripts to simplify backup procedures.
[automaticBackup.sh](https://git.velend.eu/eetnaviation/shscripts/src/branch/main/Backup/automaticBackup.sh) - Automatic, configurable, optional-SFTP backup script.
### IpTables scripts
Scripts to configure different IpTables aspects.
[easyIpTables.sh](https://git.velend.eu/eetnaviation/shscripts/src/branch/main/IpTables/easyIpTables.sh) - Allows you to easily set IpTables mappings for incoming and outgoing ports.
[autoIpTables.sh](https://git.velend.eu/eetnaviation/shscripts/src/branch/main/IpTables/autoIpTables.sh) - Setup multiple IpTables incoming and outgoing port mappings for easy setup.
### Git scripts
Scripts to automate or simplify procedures with GIT.
[addGitSSHKey.sh](https://git.velend.eu/eetnaviation/shscripts/src/branch/main/Git/addGitSSHKey.sh) - Simple script to add your GIT ssh key on startup or when executed.